<?php
	$section_tag = 'div';
	$section_id = "thb-section-$section_index";

	if ( thb_builder_section_has_title( $section ) ) {
		$section_tag = 'section';
	}
?>

<<?php echo $section_tag; ?> id="<?php echo $section_id; ?>" class="thb-section <?php echo $class; ?>">

	<div class="thb-section-extra" <?php echo $section_attrs; ?>>

		<?php do_action( 'thb_section_pre_wrapper', $section ); ?>

		<div class="thb-section-inner-wrapper">
			<?php
				foreach ( $section['rows'] as $index => $row ) {
					thb_get_module_template_part( 'backpack/builder', 'row', array(
						'row'           => $row,
						'index'         => $index,
						'section_index' => $section_index
					) );
				}
			?>
		</div>
	</div>
</<?php echo $section_tag; ?>>

<?php

$breakpoints = thb_responsive_breakpoints();

if ( ! empty( $breakpoints ) ) {
	foreach ( $breakpoints as $breakpoint => $label ) {
		$padding_top    = thb_isset( $section['appearance'], 'padding_top_' . $breakpoint, '' );
		$padding_bottom = thb_isset( $section['appearance'], 'padding_bottom_' . $breakpoint, '' );
		$margin_top     = thb_isset( $section['appearance'], 'margin_top_' . $breakpoint, '' );
		$margin_bottom  = thb_isset( $section['appearance'], 'margin_bottom_' . $breakpoint, '' );

		if ( $padding_top !== '' || $padding_bottom !== '' || $margin_top !== '' || $margin_bottom !== '' ) {
			echo '<style type="text/css">';
				printf( '@media screen and (max-width: %spx) {', $breakpoint );
					printf( '#%s .thb-section-extra {', $section_id );

						if ( $padding_top !== '' ) {
							if ( is_numeric( $padding_top ) ) {
								$padding_top .= 'px';
							}

							printf( 'padding-top: %s !important;', $padding_top );
						}

						if ( $padding_bottom !== '' ) {
							if ( is_numeric( $padding_bottom ) ) {
								$padding_bottom .= 'px';
							}

							printf( 'padding-bottom: %s !important;', $padding_bottom );
						}

						if ( $margin_top !== '' ) {
							if ( is_numeric( $margin_top ) ) {
								$margin_top .= 'px';
							}

							printf( 'margin-top: %s !important;', $margin_top );
						}

						if ( $margin_bottom !== '' ) {
							if ( is_numeric( $margin_bottom ) ) {
								$margin_bottom .= 'px';
							}

							printf( 'margin-bottom: %s !important;', $margin_bottom );
						}

					echo '}';
				echo '}';
			echo '</style>';
		}
	}
}